--- imap/imapd-ssl.dist.in
+++ imap/imapd-ssl.dist.in	2005/12/06 09:05:42
@@ -104,7 +104,7 @@
 ##NAME: COURIERTLS:0
 #
 
-COURIERTLS=@bindir@/couriertls
+COURIERTLS=@sbindir@/couriertls
 
 ##NAME: TLS_PROTOCOL:0
 # 
--- imap/pop3d-ssl.dist.in
+++ imap/pop3d-ssl.dist.in	2005/12/06 09:05:42
@@ -91,7 +91,7 @@
 # at your own risk.  Only the basic SSL/TLS functionality is known to be
 # working. Keep this in mind as you play with the following variables.
 
-COURIERTLS=@bindir@/couriertls
+COURIERTLS=@sbindir@/couriertls
 
 ##NAME: TLS_PROTOCOL:0
 # 
--- libhmac/Makefile.in
+++ libhmac/Makefile.in	2005/12/06 09:07:30
@@ -203,11 +203,9 @@
 md5hmactest_SOURCES = md5hmactest.c
 md5hmactest_DEPENDENCIES = libhmac.la @hashlibs@
 md5hmactest_LDADD = $(md5hmactest_DEPENDENCIES)
-md5hmactest_LDFLAGS = -static
 sha1hmactest_SOURCES = sha1hmactest.c
 sha1hmactest_DEPENDENCIES = libhmac.la @hashlibs@
 sha1hmactest_LDADD = $(sha1hmactest_DEPENDENCIES)
-sha1hmactest_LDFLAGS = -static
 EXTRA_DIST = md5hmactest.txt sha1hmactest.txt
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
--- liblock/Makefile.in
+++ liblock/Makefile.in	2005/12/06 09:07:33
@@ -220,7 +220,6 @@
 lockmail_SOURCES = lockmail.c
 lockmail_DEPENDENCIES = liblock.la ../numlib/libnumlib.la
 lockmail_LDADD = liblock.la ../numlib/libnumlib.la
-lockmail_LDFLAGS = -static
 noinst_DATA = lockmail.html lockmail.1
 EXTRA_DIST = lockfcntl.c lockflock.c locklockf.c locktest.c $(noinst_DATA)
 all: config.h
--- maildir/Makefile.in
+++ maildir/Makefile.in	2005/12/06 09:07:45
@@ -287,7 +287,6 @@
 				../numlib/libnumlib.la
 
 deliverquota_LDADD = libmaildir.la ../rfc822/librfc822.la ../numlib/libnumlib.la
-deliverquota_LDFLAGS = -static
 maildirmake_SOURCES = maildirmake.c
 maildirmake_DEPENDENCIES = libmaildir.la ../numlib/libnumlib.la \
 			../rfc822/librfc822.la
@@ -295,15 +294,12 @@
 maildirmake_LDADD = libmaildir.la ../numlib/libnumlib.la \
 			../rfc822/librfc822.la
 
-maildirmake_LDFLAGS = -static
 testmaildirfilter_SOURCES = maildirfiltertypelist.h testmaildirfilter.c
 testmaildirfilter_DEPENDENCIES = libmaildir.la ../numlib/libnumlib.la
 testmaildirfilter_LDADD = libmaildir.la ../numlib/libnumlib.la @LIBPCRE@
-testmaildirfilter_LDFLAGS = -static
 maildirkwtest_SOURCES = maildirkwtest.c
 maildirkwtest_LDADD = libmaildir.la
 maildirkwtest_DEPENDENCIES = libmaildir.la
-maildirkwtest_LDFLAGS = -static
 maildirkw_SOURCES = maildirkw.c
 maildirkw_LDADD = libmaildir.la ../liblock/liblock.la ../numlib/libnumlib.la \
 		`cat maildir.libdeps`
@@ -311,7 +307,6 @@
 maildirkw_DEPENDENCIES = libmaildir.la ../liblock/liblock.la \
 	../numlib/libnumlib.la maildir.libdeps
 
-maildirkw_LDFLAGS = -static
 maildiracl = maildiracl.c
 maildiracl_LDADD = libmaildir.la ../liblock/liblock.la ../numlib/libnumlib.la \
 			`cat maildir.libdeps`
@@ -319,7 +314,6 @@
 maildiracl_DEPENDENCIES = libmaildir.la ../liblock/liblock.la \
 		../numlib/libnumlib.la maildir.libdeps
 
-maildiracl_LDFLAGS = -static
 maildiraclttest_SOURCES = testmaildiraclt.c
 maildiraclttest_LDADD = libmaildir.la ../liblock/liblock.la \
 		../numlib/libnumlib.la `cat maildir.libdeps`
@@ -327,7 +321,6 @@
 maildiraclttest_DEPENDENCIES = libmaildir.la ../liblock/liblock.la \
 		../numlib/libnumlib.la maildir.libdeps
 
-maildiraclttest_LDFLAGS = -static
 EXTRA_DIST = README.maildirquota.html README.maildirquota.txt \
 	README.imapkeywords.html \
 	README.maildirfilter.html \
--- md5/Makefile.in
+++ md5/Makefile.in	2005/12/06 09:07:52
@@ -204,7 +204,6 @@
 md5test_SOURCES = md5test.c
 md5test_DEPENDENCIES = libmd5.la
 md5test_LDADD = libmd5.la
-md5test_LDFLAGS = -static
 EXTRA_DIST = md5test.txt hmac.c
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
--- rfc1035/Makefile.in
+++ rfc1035/Makefile.in	2005/12/06 09:08:01
@@ -230,7 +230,6 @@
 testlookup_LDADD = librfc1035.a ../soxwrap/libsoxwrap.a ../md5/libmd5.la \
 	../random128/librandom128.la `cat ../soxwrap/soxlibs.dep`
 
-testlookup_LDFLAGS = -static
 EXTRA_DIST = testsuite.txt
 testspf_SOURCES = testspf.c
 testspf_DEPENDENCIES = librfc1035.a ../md5/libmd5.la \
@@ -241,7 +240,6 @@
 	../random128/librandom128.la ../soxwrap/libsoxwrap.a \
 	`cat ../soxwrap/soxlibs.dep`
 
-testspf_LDFLAGS = -static
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
--- rfc2045/Makefile.in
+++ rfc2045/Makefile.in	2005/12/06 09:08:06
@@ -239,15 +239,12 @@
 		../numlib/libnumlib.la
 
 reformime_DEPENDENCIES = $(reformime_LDADD)
-reformime_LDFLAGS = -static
 makemime_SOURCES = makemime.c
 makemime_LDADD = ../rfc822/libencode.la ../rfc822/librfc822.la librfc2045.la @UNICODE_LIB@ ../numlib/libnumlib.la
 makemime_DEPENDENCIES = $(makemime_LDADD)
-makemime_LDFLAGS = -static
 headercheck_SOURCES = headercheck.c
 headercheck_LDADD = librfc2045.la ../rfc822/librfc822.la ../numlib/libnumlib.la
 headercheck_DEPENDENCIES = $(headercheck_LDADD)
-headercheck_LDFLAGS = -static
 all: $(BUILT_SOURCES) rfc2045_config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
--- rfc822/Makefile.in
+++ rfc822/Makefile.in	2005/12/06 09:08:09
@@ -217,11 +217,9 @@
 testsuite_SOURCES = testsuite.c
 testsuite_DEPENDENCIES = librfc822.la
 testsuite_LDADD = librfc822.la
-testsuite_LDFLAGS = -static
 reftest_SOURCES = reftest.c imaprefs.h
 reftest_DEPENDENCIES = librfc822.la
 reftest_LDADD = librfc822.la
-reftest_LDFLAGS = -static
 EXTRA_DIST = testsuite.txt reftest.txt $(BUILT_SOURCES)
 all: $(BUILT_SOURCES) config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
--- sha1/Makefile.in
+++ sha1/Makefile.in	2005/12/06 09:08:12
@@ -205,7 +205,6 @@
 testsuite_SOURCES = testsuite.c
 testsuite_DEPENDENCIES = libsha1.la
 testsuite_LDADD = $(testsuite_DEPENDENCIES)
-testsuite_LDFLAGS = -static
 EXTRA_DIST = testsuite.txt hmac.c
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
--- tcpd/Makefile.in.orig       2007-11-18 18:24:20.000000000 +0100
+++ tcpd/Makefile.in    2008-02-03 12:11:15.000000000 +0100
@@ -287,11 +287,9 @@
        ../md5/libmd5.la ../random128/librandom128.la \
        @LIBGDBM@ @LIBDB@ $(couriertcpd_t:%=-Wl,%)

-couriertcpd_LDFLAGS = -static
 tlscachetest_SOURCES = tlscachetest.c
 tlscachetest_DEPENDENCIES = ../numlib/libnumlib.la ../liblock/liblock.la
 tlscachetest_LDADD = ../numlib/libnumlib.la ../liblock/liblock.la
-tlscachetest_LDFLAGS = -static
 libspipe_la_SOURCES = spipe.c spipe.h
 couriertls_SOURCES = starttls.c argparse.c argparse.h
 couriertls_t = @soxdep@
@@ -305,7 +303,6 @@
        ../numlib/libnumlib.la ../liblock/liblock.la \
        ../soxwrap/libsoxwrap.a $(couriertls_t:%=-Wl,%)

-couriertls_LDFLAGS = -static
 libcouriertlsopenssl_la_SOURCES = libcouriertls.c libcouriertls.h tlsinfo.c
 libcouriertlsopenssl_la_LIBADD = @openssldep@
 libcouriertlsgnutls_la_SOURCES = libcouriergnutls.c tlsinfo.c
 
--- unicode/Makefile.in
+++ unicode/Makefile.in	2005/12/06 09:08:23
@@ -220,7 +220,6 @@
 unicode_info_SOURCES = unicodeinfo.c
 unicode_info_DEPENDENCIES = libunicode.la
 unicode_info_LDADD = libunicode.la
-unicode_info_LDFLAGS = -static
 ISO8859CFILES = iso88591.c iso88592.c iso88593.c iso88594.c iso88595.c\
 	iso88596.c iso88597.c iso88598.c iso88599.c iso885910.c iso885913.c\
 	iso885914.c iso885915.c
